<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-151"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%2FUsers%2Fscar1900%2FDeveloper%2FXHXKit%2FXHXKit%2FClasses%2FBase%2FController%2FScrollTabViewController.h%20%E6%BA%90%E6%96%87%E4%BB%B6"></a><title>XHXKit: /Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/Controller/ScrollTabViewController.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_scroll_tab_view_controller_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">ScrollTabViewController.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_scroll_tab_view_controller_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&nbsp;<span class="comment">//  ScrollTabViewController.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&nbsp;<span class="comment">//  KKLOnLine</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&nbsp;<span class="comment">//  Created by 江俊辰 on 2017/7/25.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&nbsp;<span class="comment">//  Copyright &copy; 2017年 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&nbsp; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&nbsp;<span class="preprocessor">#import &#34;<a class="code" href="_base_view_controller_8h.html">BaseViewController.h</a>&#34;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&nbsp;<span class="preprocessor">#import &lt;CKKit/CKKit.h&gt;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&nbsp;<span class="preprocessor">#import &#34;<a class="code" href="_k_o_tab_bar_8h.html">KOTabBar.h</a>&#34;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&nbsp; </div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="interface_scroll_tab_view_controller.html">   13</a></span>&nbsp;<span class="keyword">@interface </span><a class="code" href="interface_scroll_tab_view_controller.html">ScrollTabViewController</a> : <a class="code" href="interface_base_view_controller.html">BaseViewController</a>&lt;CKBannerViewDelegate, <a class="code" href="protocol_x_h_x_tabbar_delegate-p.html">XHXTabbarDelegate</a>&gt;</div>
<div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="interface_scroll_tab_view_controller.html#a6b46e5a956d4201e6e542c379c18e22b">   15</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, strong) <a class="code" href="interface_k_o_tab_bar.html">KOTabBar</a> *<a class="code" href="interface_scroll_tab_view_controller.html#a6b46e5a956d4201e6e542c379c18e22b">topTabBar</a>;</div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="interface_scroll_tab_view_controller.html#a23d94df873cb56b9004561d241a5e316">   17</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, strong) CKBannerView *<a class="code" href="interface_scroll_tab_view_controller.html#a23d94df873cb56b9004561d241a5e316">scrollView</a>;</div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="interface_scroll_tab_view_controller.html#a88aadb588ced05d7fc0eb1465d337297">   19</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, strong) NSArray *<a class="code" href="interface_scroll_tab_view_controller.html#a88aadb588ced05d7fc0eb1465d337297">viewControllers</a>;</div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="interface_scroll_tab_view_controller.html#a22d7d670757e82244e2df66a0b5f2bce">   21</a></span>&nbsp;<span class="keyword">@property</span> (nonatomic, assign) NSInteger <a class="code" href="interface_scroll_tab_view_controller.html#a22d7d670757e82244e2df66a0b5f2bce">initialTabIndex</a>;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&nbsp;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="a_k_o_tab_bar_8h_html"><div class="ttname"><a href="_k_o_tab_bar_8h.html">KOTabBar.h</a></div></div>
<div class="ttc" id="ainterface_scroll_tab_view_controller_html_a22d7d670757e82244e2df66a0b5f2bce"><div class="ttname"><a href="interface_scroll_tab_view_controller.html#a22d7d670757e82244e2df66a0b5f2bce">ScrollTabViewController::initialTabIndex</a></div><div class="ttdeci">NSInteger initialTabIndex</div><div class="ttdoc">初始化选中的索引（默认为0）</div><div class="ttdef"><b>Definition:</b> ScrollTabViewController.h:21</div></div>
<div class="ttc" id="aprotocol_x_h_x_tabbar_delegate-p_html"><div class="ttname"><a href="protocol_x_h_x_tabbar_delegate-p.html">XHXTabbarDelegate-p</a></div><div class="ttdef"><b>Definition:</b> XHXTabbar.h:29</div></div>
<div class="ttc" id="ainterface_base_view_controller_html"><div class="ttname"><a href="interface_base_view_controller.html">BaseViewController</a></div><div class="ttdef"><b>Definition:</b> BaseViewController.h:12</div></div>
<div class="ttc" id="ainterface_scroll_tab_view_controller_html_a23d94df873cb56b9004561d241a5e316"><div class="ttname"><a href="interface_scroll_tab_view_controller.html#a23d94df873cb56b9004561d241a5e316">ScrollTabViewController::scrollView</a></div><div class="ttdeci">CKBannerView * scrollView</div><div class="ttdoc">分页滚动容器视图</div><div class="ttdef"><b>Definition:</b> ScrollTabViewController.h:17</div></div>
<div class="ttc" id="ainterface_scroll_tab_view_controller_html_a6b46e5a956d4201e6e542c379c18e22b"><div class="ttname"><a href="interface_scroll_tab_view_controller.html#a6b46e5a956d4201e6e542c379c18e22b">ScrollTabViewController::topTabBar</a></div><div class="ttdeci">KOTabBar * topTabBar</div><div class="ttdoc">顶部的选项栏</div><div class="ttdef"><b>Definition:</b> ScrollTabViewController.h:15</div></div>
<div class="ttc" id="ainterface_k_o_tab_bar_html"><div class="ttname"><a href="interface_k_o_tab_bar.html">KOTabBar</a></div><div class="ttdef"><b>Definition:</b> KOTabBar.h:16</div></div>
<div class="ttc" id="a_base_view_controller_8h_html"><div class="ttname"><a href="_base_view_controller_8h.html">BaseViewController.h</a></div></div>
<div class="ttc" id="ainterface_scroll_tab_view_controller_html"><div class="ttname"><a href="interface_scroll_tab_view_controller.html">ScrollTabViewController</a></div><div class="ttdef"><b>Definition:</b> ScrollTabViewController.h:13</div></div>
<div class="ttc" id="ainterface_scroll_tab_view_controller_html_a88aadb588ced05d7fc0eb1465d337297"><div class="ttname"><a href="interface_scroll_tab_view_controller.html#a88aadb588ced05d7fc0eb1465d337297">ScrollTabViewController::viewControllers</a></div><div class="ttdeci">NSArray * viewControllers</div><div class="ttdoc">所有的分页视图控制器</div><div class="ttdef"><b>Definition:</b> ScrollTabViewController.h:19</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d522931ffa1371640980b621734a4381.html">Users</a></li><li class="navelem"><a class="el" href="dir_2f48480e0fdb0436fb8fd57a1ed5f613.html">scar1900</a></li><li class="navelem"><a class="el" href="dir_c8b33409012acfc781ba898892fd3b4c.html">Developer</a></li><li class="navelem"><a class="el" href="dir_0e1030ab80149b7e8d6dfd17946e9c40.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_c9ece41fcb3917ec137dcec44cd0055f.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_3a9521ad7c4429598be7e28fa39d3d14.html">Classes</a></li><li class="navelem"><a class="el" href="dir_e594291297641f362044084ee3bd79c2.html">Base</a></li><li class="navelem"><a class="el" href="dir_7eba93e76ed8f73916c5a8d0dda45489.html">Controller</a></li><li class="navelem"><a class="el" href="_scroll_tab_view_controller_8h.html">ScrollTabViewController.h</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>